# norootforbuild

%define api		1.0
%define napi	1_0
%define soname	0

Name:			libschroedinger-%{napi}-%{soname}
Version:		1.0.9
Release:		5.3
Summary:		Library for decoding and encoding video in the Dirac format
Group:			System/Libraries
License:		LGPL/MIT/MPL
URL:			http://www.diracvideo.org
# http://www.diracvideo.org/download/schroedinger/schroedinger-%{version}.tar.gz
Source:			schroedinger-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
##BuildRequires:	docbook-dsssl-stylesheets
BuildRequires:	docbook-style-xsl
BuildRequires:	gamin-devel
BuildRequires:	gcc-c++
BuildRequires:	gtk-doc
BuildRequires:	orc-devel orc
BuildRequires:	pkgconfig
BuildRequires:	sgml-common
BuildRequires:	valgrind
Provides:		libschroedinger0_1 = 0.6.1
Obsoletes:		libschroedinger0_1 < 0.6.1
# old packman name
Provides:		libschroedinger0 = %{version}
Obsoletes:		libschroedinger0 < %{version}

%description
Library for decoding and encoding video in the Dirac format. It is implemented
in ANSI C and optimized through the us of liboil. libschro is written as a
collaboartion between the BBC Research and Development, David Schleef and Fluendo.

%package -n libschroedinger-devel
Summary:	Libschroedinger development files and static libraries
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}-%{release}
Requires:	orc-devel orc
# actual SuSE name ...
Provides:	schroedinger-devel = %{version}

%description -n libschroedinger-devel
Libschroedinger-devel contains the files needed to build packages that depend
on libschroedinger.

%debug_package

%prep
%setup -q -n schroedinger-%{version}

%build
export SUSE_ASNEEDED=0

%configure \
	--enable-gtk-doc \
	--with-html-dir="%{_docdir}/libschroedinger-devel" \
	--enable-shared

%__make %{?jobs:-j%{jobs}}

%install
%__make DESTDIR=%{buildroot} install

%__rm -f %{buildroot}%{_libdir}/lib*.{a,la}

%check
export SUSE_ASNEEDED=0
pushd testsuite
	%__make
	%__make check || true
popd

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING COPYING.* NEWS TODO
%{_libdir}/libschroedinger-%{api}.so.%{soname}
%{_libdir}/libschroedinger-%{api}.so.%{soname}.*.*

%files -n libschroedinger-devel
%defattr(-,root,root)
%doc %{_docdir}/libschroedinger-devel
%{_libdir}/libschroedinger-%{api}.so
%{_libdir}/pkgconfig/schroedinger-%{api}.pc
%{_includedir}/schroedinger-%{api}

%changelog
* Tue May 25 2010 Carsten Schoene <cs@linux-administrator.com> - 1.0.9-3
- update to release 1.0.9
* Sun Jun 28 2009 Carsten Schoene <cs@linux-administrator.com> - 1.0.7-15
- update to release 1.0.7
* Sat Dec 27 2008 Carsten Schoene <cs@linux-administrator.com> - 1.0.5-5
- initial import

